Change log for guile-1.8 package in Ubuntu

130 of 30 results
Deleted in zesty-proposed (Reason: (From Debian) ROM; replaced by guile-2.0; Debian bug #760986)
Deleted in yakkety-proposed (Reason: Moved to zesty-proposed)
guile-1.8 (1.8.8+1-10ubuntu3) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <email address hidden>  Sun, 18 Sep 2016 10:15:54 +0000
Superseded in yakkety-proposed
guile-1.8 (1.8.8+1-10ubuntu2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <email address hidden>  Sat, 17 Sep 2016 12:03:47 +0000
Deleted in zesty-release (Reason: (From Debian) ROM; replaced by guile-2.0; Debian bug #760986)
Obsolete in yakkety-release
Published in xenial-release
Obsolete in wily-release
Obsolete in vivid-release
Deleted in vivid-proposed (Reason: moved to release)
guile-1.8 (1.8.8+1-10ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.

Superseded in vivid-release
Obsolete in utopic-release
Published in trusty-release
Deleted in trusty-proposed (Reason: moved to release)
guile-1.8 (1.8.8+1-8ubuntu3) trusty; urgency=medium

  * Hack around formfeed differences in texinfo 5 (closes: #711029).
 -- Colin Watson <email address hidden>   Tue, 04 Feb 2014 18:02:01 +0000
Superseded in trusty-proposed
guile-1.8 (1.8.8+1-8ubuntu2) trusty; urgency=medium

  * Apply texinfo fixes from debian bug report and guile-2.0 source code
    (Closes: #711029)
  * Force use serial-tests runner.
  * Some tests fail in my environment. Maybe buildds will do better.
 -- Dimitri John Ledkov <email address hidden>   Tue, 24 Dec 2013 21:10:30 +0000
Superseded in trusty-release
Obsolete in saucy-release
Obsolete in raring-release
Superseded in raring-release
Deleted in raring-proposed (Reason: moved to release)
guile-1.8 (1.8.8+1-8ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
  * Dropped change (fixed differently in Debian):
    - Build with unused-but-set-variable.

Superseded in raring-release
Obsolete in quantal-release
guile-1.8 (1.8.8+1-6ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Tue, 02 Oct 2012 12:18:00 +0100
Superseded in quantal-release
Published in precise-release
Obsolete in oneiric-release
guile-1.8 (1.8.8+1-6ubuntu2) oneiric; urgency=low

  * Build with unused-but-set-variable. LP: #829432.
 -- Matthias Klose <email address hidden>   Thu, 25 Aug 2011 19:30:33 +0200
Superseded in oneiric-release
guile-1.8 (1.8.8+1-6ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
  * Dropped -O modification because Ubuntu doesn't build for ia64 anymore
  * Dropped -Wno-error modification because upstream fixed their code
 -- Michael Terry <email address hidden>   Mon, 13 Jun 2011 16:25:17 -0400
Superseded in oneiric-release
guile-1.8 (1.8.8+1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian (LP: #773945), remaining Ubuntu changes:
    - Build with -Wno-error.
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
    - Build with -O on ia64 to ftbfs.

Superseded in oneiric-release
Obsolete in natty-release
guile-1.8 (1.8.7+1-3ubuntu3) natty; urgency=low

  * Backport from upstream:
    - Be more accepting of source location markers in the preprocessed
      source, by adding a couple cases in which they can appear.  Not
      foolproof, but it does adapt to what new GCCs are putting out.
 -- Colin Watson <email address hidden>   Thu, 17 Feb 2011 14:19:09 +0000
Superseded in natty-release
Obsolete in maverick-release
guile-1.8 (1.8.7+1-3ubuntu2) maverick; urgency=low

  * Simple rebuild to pick new i386 GNU triplet (i486 -> i686).
 -- Loic Minier <email address hidden>   Sun, 06 Jun 2010 16:32:23 +0200
Superseded in maverick-release
Obsolete in lucid-release
guile-1.8 (1.8.7+1-3ubuntu1) lucid; urgency=low

  * Merge from Debian, fixing an FTBFS.
  * Remaining Ubuntu changes:
    - Build with -Wno-error.
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
    - Build with -O on ia64 to ftbfs.

Superseded in lucid-release
guile-1.8 (1.8.7+1-2ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - Build with -Wno-error.
    - Build with thread support. Some guile-using programs like autogen need it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the soname.
    - Build with -O on ia64 to ftbfs.

Superseded in lucid-release
Obsolete in karmic-release
guile-1.8 (1.8.7+1-1ubuntu3) karmic; urgency=low

  * Build with -O on ia64 to ftbfs. See LP #438839.

 -- Matthias Klose <email address hidden>   Tue, 29 Sep 2009 19:13:32 +0200
Superseded in karmic-release
guile-1.8 (1.8.7+1-1ubuntu2) karmic; urgency=low

  * Build-depend on libreadline-dev instead of libreadline5-dev.
  * Fix build failure with recent texinfo.

 -- Matthias Klose <email address hidden>   Sat, 19 Sep 2009 23:03:31 +0200
Superseded in karmic-release
guile-1.8 (1.8.7+1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #401816)
    - Build with -Wno-error.
    - Build with thread support. Some guile-using programs like autogen need it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the soname.

Superseded in karmic-release
guile-1.8 (1.8.6+1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build with -Wno-error.
    - Build with thread support. Some guile-using programs like autogen need it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the soname.
  * Dropped changes:
    - libltdl3-dev -> libltdl7-dev: current libltdl-dev Provides: both.
    - debian/patches/libtool-ftbfs.diff: integrated upstream.

Superseded in karmic-release
Obsolete in jaunty-release
guile-1.8 (1.8.5+1-4.1ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Build with -Wno-error.
    - Build dependency: libltdl3-dev -> libltdl7-dev.
    - Add debian/patches/libtool-ftbfs.diff: Fix build with current libtool,
    - Build with thread support. Some guile-using programs like autogen need it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the soname.

Superseded in jaunty-release
guile-1.8 (1.8.5+1-4ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Build with -Wno-error.
    - Build dependency: libltdl3-dev -> libltdl7-dev.
    - Add debian/patches/libtool-ftbfs.diff: Fix build with current libtool,
    - Build with thread support. Some guile-using programs like autogen need it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the soname.

Superseded in jaunty-release
Obsolete in intrepid-release
guile-1.8 (1.8.5+1-3ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Build on lpia, too.
    - Build with -Wno-error.
    - Build dependency: libltdl3-dev -> libltdl7-dev.
    - Add debian/patches/libtool-ftbfs.diff: Fix build with current libtool,
    - Build with thread support. Some guile-using programs like autogen need it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the soname.
  * Fix build failure on ia64.

Superseded in intrepid-release
guile-1.8 (1.8.5+1-2ubuntu2) intrepid; urgency=low

  * debian/control: Build on lpia, too.

 -- Martin Pitt <email address hidden>   Wed, 06 Aug 2008 16:55:32 +0200
Superseded in intrepid-release
guile-1.8 (1.8.5+1-2ubuntu1) intrepid; urgency=low

  * Build with -Wno-error. Otherwise the build FTBFSes on countless occasions
    of "ignoring return value of ‘write", which apparenlty is enabled by
    FORTIFY_SOURCE. Reported this upstream to eventually get it fixed
    properly: https://savannah.gnu.org/bugs/index.php?24009
  * Build dependency: libltdl3-dev -> libltdl7-dev.
  * Add debian/patches/libtool-ftbfs.diff: Fix build with current libtool,
    (https://savannah.gnu.org/bugs/?17344).
  * Build with thread support. Some guile-using programs like autogen need it.
  * Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, so bump the
    shlibs version.

 -- Martin Pitt <email address hidden>   Wed, 06 Aug 2008 15:45:13 +0200

Available diffs

Superseded in intrepid-release
Superseded in intrepid-release
guile-1.8 (1.8.5+1-1) unstable; urgency=medium

  * Incorporate new upstream stable release.

  * Fix gcc 4.3 compilation problems (fixed upstream now).  Thanks to
    Alexander Schmehl <email address hidden> for the previous, related
    1.8.4+1-2.1 NMU, and to Maximiliano Curia and Daniel Schepler for the
    original patch. (closes: #462384, #466778)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  11 May 2008 15:33:02 +0100
Superseded in intrepid-release
guile-1.8 (1.8.4+1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added debian/patches/guile-1.8-gcc43.diff
    to let it compile with gcc-4.3 and to solve the 'extern inline' functions
    problem
    (Closes: #462384, #466778)
    Thanks Maximiliano Curia and Daniel Schepler for the patch!

Superseded in intrepid-release
Obsolete in hardy-release
guile-1.8 (1.8.3+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

  * Re-disable threads.  It turns out that Guile's libraries aren't ABI
    compatible when compiled with and without threads.  Since Etch shipped
    --without-threads, threads will remain disabled for now. (closes: #439923)

  * Add some lintian overrides.  Thanks to Ludovic RESLINGER.
    (closes: #396977, #397009)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  24 Nov 2007 10:44:18 +0000
Superseded in hardy-release
guile-1.8 (1.8.2+1-2) unstable; urgency=low

  * Re-enable threads.

Superseded in hardy-release
Obsolete in gutsy-release
guile-1.8 (1.8.1+1-5) unstable; urgency=low

  * Add NEWS to guile-1.8-doc. (closes: #405231)

  * Fix GNU/kFreeBSD build.  Thanks to Petr Salinger. (closes: #401168)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  27 Apr 2007 00:01:53 +0100
Superseded in gutsy-release
Obsolete in feisty-release
guile-1.8 (1.8.1+1-4) unstable; urgency=low

  * Fix additional problems with the test suite on 64-bit
    architectures. (closes: #396119)

  * Fix srfi-14.test (use throw rather than thrown). (closes: #397740)

Superseded in feisty-release
guile-1.8 (1.8.1+1-1.1) unstable; urgency=low

  * NMU to fix RC bugs.
  * Build-Depend on libltdl3-dev (closes: #395235),
    libgmp3-dev (closes: #396922), and texinfo.
  * Build-Depend on locales and generate de_DE.ISO-8859-1 for use by
    the testsuite.
  * Add the above *-dev dependencies also to guile-1.8-dev (closes: #395290).

130 of 30 results